<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Source: ads/interstitial/Interstitial.Image.js</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-banner" role="banner">
        </div>
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <h1>Source: ads/interstitial/Interstitial.Image.js</h1>
          </header>
          <article>
            <pre class="prettyprint linenums"><code>import style from &#x27;./style.scss&#x27;
import { h } from &#x27;preact&#x27;
import { Interstitial } from &#x27;./Interstitial&#x27;
import { BannerImage } from &#x27;ads/banner&#x27;

let classNames &#x3D; (require(&#x27;classnames/bind&#x27;)).bind(style)
/**
 * iframe nad którym opcjonalnie jest umieszczona klikalna warstwa &amp;lt;br&gt;
 * każda z orientacji ekranu może otrzymać swój własny iframe
 * @example
 * &amp;lt;InterstitialImage
 *   url&#x3D;&quot;http://example.com&quot;
 *   portrait&#x3D;&quot;http://example.com/portrait.jpg&quot;
 *   landscape&#x3D;&quot;http://example.com/landscape.jpg&quot;
 * /&gt;
 *
 * @export
 * @class InterstitialImage
 * @extends {Interstitial}
 *
 * @prop {object} props - zestaw właściwości komponentu
 * @prop {string} [props.portrait] - adres grafiki wyświetlanej w widoku portrait
 * @prop {string} [props.landscape] - adres grafiki wyświetlanej w widoku landscape
 * @prop {string} props.url - adres, na jaki ma przekierowywać reklama
 * @prop {function} [props.onReady] - callback wywoływany, gdy komponent zamontował się poprawnie i wszystkie zasoby zostały załadowane
 * @prop {object} state - zestaw stanów komponentu
 * @prop {string} state.lifecycle - string reprezentujący bieżący cykl życia komponentu (initialized, ready)
 * @prop {number} state.preloading - liczba zasobów aktualnie preloadowanych przez komponent
 */
export class InterstitialImage extends Interstitial {
  body () {
    return (
      &amp;lt;div className&#x3D;{classNames(&#x27;body&#x27;)}&gt;
        {this.displayOnOrientation !&#x3D;&#x3D; &#x27;portrait&#x27; &amp;amp;&amp;amp;
        &amp;lt;div className&#x3D;{classNames(&#x27;banner&#x27;, &#x27;landscape&#x27;)}&gt;
          &amp;lt;BannerImage
            url&#x3D;{this.props.url}
            width&#x3D;&quot;100%&quot;
            height&#x3D;&quot;100%&quot;
            fill&#x3D;&quot;cover&quot;
            img&#x3D;{this.props.landscape}
            onReady&#x3D;{this.setState({ lifecycle: &#x27;ready&#x27; })}
          /&gt;
        &amp;lt;/div&gt;}
        {this.displayOnOrientation !&#x3D;&#x3D; &#x27;landscape&#x27; &amp;amp;&amp;amp;
        &amp;lt;div className&#x3D;{classNames(&#x27;banner&#x27;, &#x27;portrait&#x27;)}&gt;
          &amp;lt;BannerImage
            url&#x3D;{this.props.url}
            width&#x3D;&quot;100%&quot;
            height&#x3D;&quot;100%&quot;
            fill&#x3D;&quot;cover&quot;
            img&#x3D;{this.props.portrait}
            onReady&#x3D;{this.setState({ lifecycle: &#x27;ready&#x27; })}
          /&gt;
        &amp;lt;/div&gt;}
      &amp;lt;/div&gt;)
  }
}
</code></pre>
          </article>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>